# -*- coding: utf-8 -*-
# Moovida - Home multimedia server
# Copyright (C) 2006-2009 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is licensed under the GPL version 3.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Moovida with Fluendo's plugins.
#
# Author: Michał Sawicz <michal@sawicz.net>

"""
setuptools script for the plugin.
"""

import os
from setuptools import setup
from elisa.core.utils.dist import find_packages, TrialTest, Clean

packages, package_dir = find_packages(os.path.dirname(__file__))
cmdclass = dict(test=TrialTest, clean=Clean)

setup(name='elisa-plugin-justintv',
    version='0.1',
    description='Justin.TV',
    long_description='The leader in live video and the place to broadcast and share video online.',
    license='GPL3',
    author='Moovida Developers',
    author_email='developers-list@moovida.ocm',
    namespace_packages=['elisa', 'elisa.plugins'],
    packages=packages,
    package_dir=package_dir,
    cmdclass=cmdclass,
    install_requires=['elisa-plugin-poblesec>=0.19', 'elisa-plugin-http-client'],
    decorator_mappings=[
        ('/poblesec/video/internet', 'elisa.plugins.justintv.main_menu:justintv_decorator'),
                        ],
    controller_mappings=[('/justintv', 'elisa.plugins.justintv.main_menu:JustinTVMainController'),
                         ],
    entry_points="""\
    [elisa.core.components.resource_provider]
    JustinTVResourceProvider = elisa.plugins.justintv.resource_provider:JustinTVResourceProvider
    [elisa.core.plugin_registry]
    use = elisa.plugins.justintv.main_menu:use_me_hook
    """,
    package_data={'': ['icons/*', '*.conf', '*.pyd'],
                  'elisa.plugins.justintv.i18n': ['*.po', '*/LC_MESSAGES/*.mo', '*.pot']}
    
)
